<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcBillboard Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcBillboard Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcBillboard" --><!-- doxytag: inherits="iBase" -->
<p>Billboard property class.  
 <a href="structiPcBillboard.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="propclass_2billboard_8h_source.html">propclass/billboard.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcBillboard:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcBillboard.png" usemap="#iPcBillboard_map" alt=""/>
  <map id="iPcBillboard_map" name="iPcBillboard_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,80,24"/>
</map>
 </div></div>

<p><a href="structiPcBillboard-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcBillboard.html#aa584e7f4b274a4d72f905721305b59c7">AreEventsEnabled</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if events are enabled.  <a href="#aa584e7f4b274a4d72f905721305b59c7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcBillboard.html#a4806f58138d137b37505256d3cb13a81">EnableEvents</a> (bool e)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable or disable listening for events for this billboard.  <a href="#a4806f58138d137b37505256d3cb13a81"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcBillboard.html#a489baedd4e724d31feece3f19016eae4">GetBillboard</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the billboard.  <a href="#a489baedd4e724d31feece3f19016eae4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcBillboard.html#afe025a91b9d214cdd5ae02e2d20aed11">GetBillboardName</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of the billboard.  <a href="#afe025a91b9d214cdd5ae02e2d20aed11"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcBillboard.html#a2a62e99d8307ee3d00165205edef1cf2">SetBillboardName</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the billboard.  <a href="#a2a62e99d8307ee3d00165205edef1cf2"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Billboard property class. </p>
<p>This property class can send out the following messages:</p>
<ul>
<li>'cel.billboard.select.down' (old 'pcbillboard_select'): billboard is selected (x,y,button)</li>
<li>'cel.billboard.select.move' (old 'pcbillboard_move'): mouse moves over billboard (x,y,button)</li>
<li>'cel.billboard.select.moveaway' (old 'pcbillboard_moveaway'): mouse moves away from billboard (x,y,button)</li>
<li>'cel.billboard.select.select.up' (old 'pcbillboard_unselect'): billboard is unselected (x,y,button)</li>
<li>'cel.billboard.select.select.double' (old 'pcbillboard_doubleclick'): billboard is double clicked (x,y,button)</li>
</ul>
<p>This property class supports the following actions (add prefix 'cel.billboard.action.' if you want to access this action through a message):</p>
<ul>
<li>DrawMesh: parameters 'materialname' (string), 'factory' (string), optional: 'distance' (float), optional: 'rotate' (vector3), optional: 'angle' (float).</li>
<li>GetTextWidth: no parameters, returns an integer with current text width in billboard coordinates.</li>
<li>GetTextHeight: no parameters, returns an integer with current text height in billboard coordinates.</li>
</ul>
<p>This property class supports the following properties:</p>
<ul>
<li>name (string, read/write): name of the billboard.</li>
<li>materialname (string, read/write): name of the material. Warning! It is important to make sure the materials using the billboard have the &lt;keepimage&gt; flag set!</li>
<li>materialnamefast (string, read/write): name of the material (faster way to set).</li>
<li>clickable (bool, read/write): clickable (default no).</li>
<li>movable (bool, read/write): movable (default no).</li>
<li>visible (bool, read/write): visible (default yes).</li>
<li>restack (bool, read/write): restackable on selection (default no).</li>
<li>sendmove (bool, read/write): send move/moveaway events (default no).</li>
<li>color (color, read/write): color of this billboard.</li>
<li>width (long, read/write): width of this billboard.</li>
<li>height (long, read/write): height of this billboard.</li>
<li>widthpct (float, read/write): width of this billboard in percentage.</li>
<li>heightpct (float, read/write): height of this billboard in percentage.</li>
<li>x (long, read/write): x position of this billboard.</li>
<li>y (long, read/write): y position of this billboard.</li>
<li>uv_topleft (vector2, read/write): topleft uv coordinate in material.</li>
<li>uv_botright (vector2, read/write): botright uv coordinate in material.</li>
<li>layer (string, read/write): layer name.</li>
<li>text (string, read/write): optional text on billboard.</li>
<li>text_offset (vector2, read/write): offset for text in billboard space.</li>
<li>text_fg_color (color, read/write): foreground color.</li>
<li>text_bg_color (color, read/write): background color.</li>
<li>text_font_size (float, read/write): font size. Set this before setting text_font. Otherwise default is 10.</li>
<li>text_font (string, read/write): font.</li>
<li>text_default_fg_color (color, read/write): default foreground color (for all billboards).</li>
<li>text_default_bg_color (color, read/write): default background color (for all billboards).</li>
<li>text_default_font_size (float, read/write): font size. Set this before setting text_default_font. Otherwise default is 10.</li>
<li>text_default_font (string, read/write): default font (for all billboards). </li>
</ul>

<p>Definition at line <a class="el" href="propclass_2billboard_8h_source.html#l00091">91</a> of file <a class="el" href="propclass_2billboard_8h_source.html">billboard.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa584e7f4b274a4d72f905721305b59c7"></a><!-- doxytag: member="iPcBillboard::AreEventsEnabled" ref="aa584e7f4b274a4d72f905721305b59c7" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcBillboard.html#aa584e7f4b274a4d72f905721305b59c7">iPcBillboard::AreEventsEnabled</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return true if events are enabled. </p>

</div>
</div>
<a class="anchor" id="a4806f58138d137b37505256d3cb13a81"></a><!-- doxytag: member="iPcBillboard::EnableEvents" ref="a4806f58138d137b37505256d3cb13a81" args="(bool e)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcBillboard.html#a4806f58138d137b37505256d3cb13a81">iPcBillboard::EnableEvents</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable or disable listening for events for this billboard. </p>

</div>
</div>
<a class="anchor" id="a489baedd4e724d31feece3f19016eae4"></a><!-- doxytag: member="iPcBillboard::GetBillboard" ref="a489baedd4e724d31feece3f19016eae4" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiBillboard.html">iBillboard</a>* <a class="el" href="structiPcBillboard.html#a489baedd4e724d31feece3f19016eae4">iPcBillboard::GetBillboard</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the billboard. </p>

</div>
</div>
<a class="anchor" id="afe025a91b9d214cdd5ae02e2d20aed11"></a><!-- doxytag: member="iPcBillboard::GetBillboardName" ref="afe025a91b9d214cdd5ae02e2d20aed11" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcBillboard.html#afe025a91b9d214cdd5ae02e2d20aed11">iPcBillboard::GetBillboardName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of the billboard. </p>

</div>
</div>
<a class="anchor" id="a2a62e99d8307ee3d00165205edef1cf2"></a><!-- doxytag: member="iPcBillboard::SetBillboardName" ref="a2a62e99d8307ee3d00165205edef1cf2" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcBillboard.html#a2a62e99d8307ee3d00165205edef1cf2">iPcBillboard::SetBillboardName</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the billboard. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="propclass_2billboard_8h_source.html">billboard.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
